Subject: Re: [Technical Errata Reported] RFC5942 (6417)

From: "Wes Beebee (wbeebee)" <[email-masked]>
Date: Tue, 2 Feb 2021 18:10:26 +0000

Section 4 has the text:
      "If the Default Router List is empty and there
       is no other source of on-link information about any address or
       prefix:"

So - the bullet 4b only applies if the Default Router List is empty AND you don't have on-link information about the address/prefix.
Otherwise, bullet 4b does not apply.

Therefore, I think the errata is not necessary as the text of RFC 5942 as-is already has the behavior that Ted Lemon desires.

- Wes

On 1/29/21, 3:44 PM, "RFC Errata System" <[email-masked]> wrote:

    The following errata report has been submitted for RFC5942,
    "IPv6 Subnet Model: The Relationship between Links and Subnet Prefixes".

    --------------------------------------
    You may review the report below and at:
    https://www.rfc-editor.org/errata/eid6417

    --------------------------------------
    Type: Technical
    Reported by: Ted Lemon <[email-masked]>

    Section: 4

    Original Text
    -------------
    In bullet item 4, the behavior for hosts when the default router list is empty is specified in a way that means that no prefix can ever be considered on-link.  4.b says that address resolution (which I take to mean neighbor discovery) should not be performed for any non-link-local address.

    It is entirely possible for an on-link, non-default router to advertise an on-link prefix. In this case, the prefix should be considered on-link, and address resolution should be permitted. I don't see a way to read the text to allow this.

    Corrected Text
    --------------
    I think the confusion is in 4.b, which should read:

    The host MUST NOT perform address resolution for non-link-local addresses that are not known to be on-link as described in section 3, part 1.

    Notes
    -----
    I don't know if the problem is that "non-link-local" should have been "non-on-link" or if the authors just weren't taking RFC4191 into consideration, but in the presence of RFC4191, requiring a default router before a prefix can be considered on-link renders perfectly valid configurations non-functional.

    Instructions:
    -------------
    This erratum is currently posted as "Reported". If necessary, please
    use "Reply All" to discuss whether it should be verified or
    rejected. When a decision is reached, the verifying party  
    can log in to change the status and edit the report, if necessary. 

    --------------------------------------
    RFC5942 (draft-ietf-6man-ipv6-subnet-model-12)
    --------------------------------------
    Title               : IPv6 Subnet Model: The Relationship between Links and Subnet Prefixes
    Publication Date    : July 2010
    Author(s)           : H. Singh, W. Beebee, E. Nordmark
    Category            : PROPOSED STANDARD
    Source              : IPv6 Maintenance
    Area                : Internet
    Stream              : IETF
    Verifying Party     : IESG